## org.eclipse.datatools.sqltools.parsers.sql
Class SQLParser

    java.lang.Object
      lpg.lpgjavaruntime.PrsStream
          org.eclipse.datatools.sqltools.parsers.sql.AbstractSQLParser
              org.eclipse.datatools.sqltools.parsers.sql.SQLParser

All Implemented Interfaces:
  lpg.lpgjavaruntime.ParseErrorCodes, lpg.lpgjavaruntime.RuleAction, lpg.lpgjavaruntime.TokenStream

Direct Known Subclasses:
  AbstractSQLQueryParser

    public abstract class SQLParser

extends AbstractSQLParser

Author:
  ckadner TODO: doc

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.parsers.sql.AbstractSQLParser
`G_SUFFIX, K_SUFFIX, M_SUFFIX`

Fields inherited from interface lpg.lpgjavaruntime.ParseErrorCodes
`BEFORE_CODE, DELETION_CODE, EOF_CODE, ERROR_CODE, errorMsgText, INSERTION_CODE, INVALID_CODE, INVALID_TOKEN_CODE, LEX_ERROR_CODE, MERGE_CODE, MISPLACED_CODE, SCOPE_CODE, SECONDARY_CODE, SUBSTITUTION_CODE`

Constructor Summary
`SQLParser(lpg.lpgjavaruntime.LexStream lexStream, lpg.lpgjavaruntime.ParseTable prs, int EOFTsymbol, boolean checkStmtOnly)`
`SQLParser(lpg.lpgjavaruntime.LexStream lexStream, lpg.lpgjavaruntime.ParseTable prs, int EOFTsymbol, SQLQuerySourceFormat sourceFormat)`
`SQLParser(lpg.lpgjavaruntime.LexStream lexStream, lpg.lpgjavaruntime.ParseTable prs, int EOFTsymbol, SQLQuerySourceFormat p_sourceFormat, boolean checkStmtOnly)`

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.parsers.sql.AbstractSQLParser
`diagnose, getErrorDiagnosingNumberMax, getErrorDiagnosingTimeMax, getToken, isCheckStmtOnly, makeToken, orderedTerminalSymbols, remapTerminalSymbols, reportError, resetParser, ruleAction, setCheckStmtOnly, setErrorDiagnosingNumberMax, setErrorDiagnosingTimeMax`

Methods inherited from class lpg.lpgjavaruntime.PrsStream

`addAdjunct, addToken, afterEol, badToken, dumpToken, dumpTokens, getAdjuncts, getColumn, getColumnOfTokenAt, getEndColumn, getEndColumnOfTokenAt, getEndLine, getEndLineNumberOfTokenAt, getEndOffset, getFileName, getFirstErrorToken, getFirstRealToken, getFollowingAdjuncts, getInputChars, getIToken, getKind, getLastErrorToken, getLastRealToken, getLexStream, getLine, getLineNumberOfTokenAt, getName, getNext, getPrecedingAdjuncts, getPrevious, getSize, getStartOffset, getStreamIndex, getStreamLength, getToken, getTokenAt, getTokenAtCharacter, getTokenIndexAtCharacter, getTokenLength, getTokens, getTokenText, makeAdjunct, makeErrorToken, mapKind, peek, reportError, reportError, reportError, reset, reset, resetLexStream, resetTokenStream, setSize, setStreamIndex, setStreamLength, setStreamLength`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLParser

    public SQLParser(lpg.lpgjavaruntime.LexStream lexStream,
                     lpg.lpgjavaruntime.ParseTable prs,
                     int EOFTsymbol,
                     boolean checkStmtOnly)
              throws SQLParserInternalException

Parameters:
  `lexStream` -
  `prs` -
  `EOFTsymbol` -
  `checkStmtOnly` -
Throws:
  `SQLParserInternalException`

### SQLParser

    public SQLParser(lpg.lpgjavaruntime.LexStream lexStream,
                     lpg.lpgjavaruntime.ParseTable prs,
                     int EOFTsymbol,
                     SQLQuerySourceFormat sourceFormat)
              throws SQLParserInternalException

Parameters:
  `lexStream` -
  `prs` -
  `EOFTsymbol` -
  `sourceFormat` -
Throws:
  `SQLParserInternalException`

### SQLParser

    public SQLParser(lpg.lpgjavaruntime.LexStream lexStream,
                     lpg.lpgjavaruntime.ParseTable prs,
                     int EOFTsymbol,
                     SQLQuerySourceFormat p_sourceFormat,
                     boolean checkStmtOnly)
              throws SQLParserInternalException

Parameters:
  `lexStream` -
  `prs` -
  `EOFTsymbol` -
  `p_sourceFormat` -
  `checkStmtOnly` -
Throws:
  `SQLParserInternalException`